Name:           kwin-effects-forceblur

%global forgeurl https://github.com/taj-ny/%{name}
%global commit ec50fc5bcab42a39e6b6acc51bbd4443baec5be9
%global date 20250717
%forgemeta

Version:        1.4.0
Release:        2%{?dist}
Summary:        Blur any window on Wayland and X11
License:        GPL-3.0
URL:            %{forgeurl}
Source:         %{forgesource}

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6UiTools)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)

BuildRequires:  cmake(KWin)
BuildRequires:  cmake(KDecoration3)

%if 0%{?fedora}
BuildRequires:  cmake(KWinX11)
%endif

BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)

Requires:       kwin

%description
A fork of the KWin Blur effect for KDE Plasma 6 with the ability to blur any window on Wayland and X11.
Features
 - Wayland support
 - Draw image behind windows instead of blurring (can be used with a blurred image of the wallpaper in order to achieve a very similar effect to blur but with much lower GPU usage)
 - Rounded corners
 - Fix for artifacts when using a transparent color scheme


%files
%{_kf6_qtplugindir}/kwin/effects/configs/kwin_better_blur_config.so
%{_kf6_qtplugindir}/kwin-x11/effects/configs/kwin_better_blur_config.so
%{_kf6_qtplugindir}/kwin/effects/plugins/forceblur.so
%{_kf6_qtplugindir}/kwin-x11/effects/plugins/forceblur_x11.so

#------------------------------------------------------------------

%prep
%forgeautosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%changelog
* Mon Jul 7 2025 Hazel Bunny <hazel_bunny@disroot.org> - 1.4.0-2.git
- Switch to git snapshot

* Mon Jun 30 2025 Hazel Bunny <hazel_bunny@disroot.org> - 1.4.0-1
- Update to 1.4.0

* Fri Jun 20 2025 Hazel Bunny <hazel_bunny@disroot.org> - 1.3.6-3
- Rebuild for KWin 6.4.0

* Sat May 10 2025 Hazel Bunny <hazel_bunny@disroot.org> - 1.3.6-2
- Rebuild for KWin 6.3.5

* Sun Apr 20 2025 Hazel Bunny <hazel_bunny@disroot.org> - 1.3.6-1
- Rebuild for Qt 6.9

* Sun Nov 3 2024 Hazel Bunny <hazel_bunny@disroot.org> - 1.3.2-5
- Rebuild for KWin 6.2.3

* Sun Oct 27 2024 Hazel Bunny <hazel_bunny@disroot.org> - 1.3.2-4
- Newer commit

* Sat Oct 26 2024 Hazel Bunny <hazel_bunny@disroot.org> - 1.3.2-3
- Rebuild for KWin 6.2.2

* Sat Oct 19 2024 Hazel Bunny <hazel_bunny@disroot.org> - 1.3.2-2
- Rebuild for KWin 6.2.1

* Thu Oct 10 2024 Hazel Bunny <hazel_bunny@disroot.org> - 1.3.2-1
- Update to 1.3.2

* Fri Sep 20 2024 Hazel Bunny <hazel_bunny@disroot.org> - 1.3.1-2
- rebuild for kwin 6.1.5

* Sun Aug 11 2024 Hazel Bunny <hazel_bunny@disroot.org> - 1.3.1-1
- Update to 1.3.1

* Fri Jun 7 2024 Hazel Bunny <hazel_bunny@disroot.org> - 1.2.1-1
- Update to 1.2.1

* Sun May 26 2024 Hazel Bunny <hazel_bunny@disroot.org> - 1.2.0-2
- rebuild for kwin 6.0.5

* Fri Apr 26 2024 Hazel Bunny <hazel_bunny@disroot.org> - 1.2.0-1
- initial package
